Bug 1024481 - JBossWeb memory leak when using SSL + Java security manager
JBossWeb memory leak when using SSL + Java security manager
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity unspecified
: ER6
: EAP 6.3.0
Assigned To: Rémy Maucherat
Hynek Mlnarik
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 14:10 EDT by Derek Horton
Modified: 2015-08-31 23:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 10:38:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Horton 2013-10-29 14:10:31 EDT
Description of problem:
JBossWeb memory leak when using SSL + Java security manager


How reproducible:
Could not reproduce
Comment 1 Derek Horton 2013-10-29 14:13:50 EDT
Tomcat fix:
https://issues.apache.org/bugzilla/show_bug.cgi?id=47744
Comment 3 Rémy Maucherat 2014-01-10 09:55:03 EST
r2298 and r2297.
Comment 4 Aaron Ogburn 2014-05-30 00:24:39 EDT
This change got in EAP 6.2.1+ and introduced bz1103018
Comment 6 Kabir Khan 2014-07-01 11:55:19 EDT
From the comments this seems done, setting to ON_QA with a made up milestone of ER6 (although from the dates it seems like it should have made it in a long time before)
Comment 7 Hynek Mlnarik 2014-07-04 09:27:12 EDT
Verified in 6.3.0.ER8. Please note that the BZ was switched to ON_QA after ER8.

Similarly to Derek, could not reproduce, yet the heap dumps after using the reproducer from [1] show only a few SSLSession instances held from session after 250000 calls, all referred from WeakHashMap. It was also verified that the code from the Tomcat fix [1] and bz 1103018 (comment 4) are applied.

[1] https://issues.apache.org/bugzilla/show_bug.cgi?id=47744

Note You need to log in before you can comment on or make changes to this bug.